Mongo::getSlave
Mongo::poolDebug
Mongo
PHP Manual

# Mongo::getSlaveOkay

(PECL mongo >=1.1.0)

Mongo::getSlaveOkay — Get slaveOkay setting for this connection

### Description

public bool Mongo::getSlaveOkay ( void )

See the query section of this manual for information on distributing reads to secondaries.

### Parameters

This function has no parameters.

### Return Values

Returns the value of slaveOkay for this instance.

### Errors/Exceptions

Issues `E_DEPRECATED` warning

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.

### See Also

- Read Preferences
- MongoClient::getReadPreference() - Get the read preference for this connection

Mongo::getSlave
Mongo::poolDebug
Mongo
PHP Manual